Package owl.run.parser

## Class PartialModuleConfiguration.Constructor

- java.lang.Object
- - owl.run.parser.PartialModuleConfiguration.Constructor

- Enclosing class:
    PartialModuleConfiguration

      public static final class PartialModuleConfiguration.Constructor
      extends Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `PartialModuleConfiguration.Constructor` | `addTransformer​(OwlModuleParser.TransformerParser... settings)` |
    `PartialModuleConfiguration.Constructor` | `addTransformer​(Transformer... transformers)` |
    `PartialModuleConfiguration` | `build()` |
    `PartialModuleConfiguration.Constructor` | `reader​(InputReader reader)` |
    `PartialModuleConfiguration.Constructor` | `reader​(OwlModuleParser.ReaderParser settings)` |
    `PartialModuleConfiguration.Constructor` | `writer​(OutputWriter writer)` |
    `PartialModuleConfiguration.Constructor` | `writer​(OwlModuleParser.WriterParser settings)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### reader

          public PartialModuleConfiguration.Constructor reader​(InputReader reader)

    - #### addTransformer

          public PartialModuleConfiguration.Constructor addTransformer​(OwlModuleParser.TransformerParser... settings)

    - #### addTransformer

          public PartialModuleConfiguration.Constructor addTransformer​(Transformer... transformers)

    - #### reader

          public PartialModuleConfiguration.Constructor reader​(OwlModuleParser.ReaderParser settings)

    - #### writer

          public PartialModuleConfiguration.Constructor writer​(OutputWriter writer)

    - #### writer

          public PartialModuleConfiguration.Constructor writer​(OwlModuleParser.WriterParser settings)

    - #### build

          public PartialModuleConfiguration build()